
FROM alpy:latest

RUN <<EOT sh
  set -ex

  #
  # Install and configure ngircd
  apk add ngircd
  chmod 644 /etc/ngircd/ngircd.conf
  sed -i~ -e 's/;PAM = yes/PAM = no/g' \
	  -e 's/;ServerGID = 65534/ServerGID = ngircd/g' \
	  -e 's/;ServerUID = 65534/ServerUID = ngircd/g' \
	  -e 's/;MaxNickLength = 9/MaxNickLength = 25/g' \
	  -e 's/;MotdFile = /MotdFile = /g' \
	  /etc/ngircd/ngircd.conf
  tee /etc/ngircd/ngircd.motd <<-_EOF_
	  Welcome to this IRC server.

	  This is a private IRC server disconnected from the rest of
	  the world.
	_EOF_

EOT


ADD files.tar.gz /

EXPOSE 9001/tcp 6667/tcp

CMD [ "/startup.sh" ]
